Skip to content

System Requirements

Prior to installing the product, it is necessary to have the appropriate prerequisite software installed on your system. Verify that the computer has the supported operating system and development platforms before starting the installation.

Entgra IoT Server comes as a composition of three components namely the broker, core, and analytics. All of these components are WSO2 Carbon based products. Following are the minimum system requirements to run all the IoT components.

Memory ~ 8 GB minimum (16 GB is recommended for a production environment.) ~ 1024 MB heap size. This is generally sufficient to process typical SOAP messages but the requirements vary with larger message sizes and the number of messages processed concurrently.
Disk ~ 5 GB, excluding space allocated for log files, mobile applications, and databases.
Processor Quad core processor

Environment Compatibility

Operating Systems Product is extensively tested on linux based operating systems and also on Windows. For example on following, Ubuntu 18.04 CentOS 7.6 Windows Server 2016
Databases All WSO2 Carbon-based products are generally compatible with most common DBMSs. We recommend you use an industry-standard RDBMS such as, Oracle PostgreSQL MySQL MS SQL, etc. Please also note the following guidelines, The embedded H2 database is not recommended for production environments It is not recommended to use Apache DS in a production environment due to scalability issues. Instead, use an LDAP like OpenLDAP for user management. If you have difficulty in setting up any Entgra product on a specific platform or database, please contact us.

Required Applications

Oracle Java SE Development Kit (JDK) All WSO2 Carbon-based products are Java applications that can be run on any platform that is JDK 8 compliant. Also, we do not recommend or support OpenJDK. JDK http://java.sun.com/javase/downloads/index.jsp
Web JDKTo access the product's Management Console. The Web Browser must be JavaScript enabled to take full advantage of the Management console. Recommended Google Chrome.NOTE: On Windows Server 2003, you must not go below the medium security level in Internet Explorer 6.x. - -

The following applications are required for running the product.

Optional Applications

The following applications are optional for running the product.

Application Purpose Version Download Links
Apache Maven Required to install plugins which are not packed with the product such as windows and 3.0.x http://maven.apache.org/
Git To checkout the source, in order to build the product from the source distribution. 1.8.x http://git-scm.com/
Web Browser To access the product's Management Console. The Web Browser must be JavaScript enabled to take full advantage of the Management console. NOTE: On Windows Server 2003, you must not go below the medium security level in Internet Explorer 6.x.